%{?nodejs_find_provides_and_requires}

%global packagename svgo
%global enable_tests 1

Name:		nodejs-svgo
Version:	0.5.6
Release:	1%{?dist}
Summary:	Nodejs-based tool for optimizing SVG vector graphics files

License:	MIT
URL:		https://github.com/svg/svgo.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source2:	docs-%{version}.tar.bz2
Source3:	examples-%{version}.tar.bz2
Source10:	dl-tests.sh


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(js-yaml)
BuildRequires:	npm(whet.extend)
%endif

Requires:	nodejs

%description
Nodejs-based tool for optimizing SVG vector graphics files


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package
%setup -q -T -D -a 2 -n package
%setup -q -T -D -a 3 -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ bin/ plugins/ docs/ examples/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md docs/ examples/
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Sun Oct 25 2015 Jared Smith <jsmith@fedoraproject.org> - 0.5.6-1
- Initial packaging
